[pacman-dev] [PATCH] Fix regression that broke repo-add aborting on failures

Eli Schwartz eschwartz at archlinux.org
Wed May 9 04:18:39 UTC 2018


In commit cb0f2bd0385f447e045e2b2aab9ffa55df3c2d8a the changes from
commit 81d233b79345d05d5bf17a4b2844085e14f9ee36 seem to have been
inadvertently backed out.

Right now the current check doesn't do anything, since "fail" is always
nothing and therefore successful.

Fixes FS#58505

Signed-off-by: Eli Schwartz <eschwartz at archlinux.org>
---
 scripts/repo-add.sh.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/repo-add.sh.in b/scripts/repo-add.sh.in
index 86bf9a88..4f2f3bb3 100644
--- a/scripts/repo-add.sh.in
+++ b/scripts/repo-add.sh.in
@@ -813,11 +813,12 @@ fi
 
 prepare_repo_db
 
+fail=0
 for arg in "${args[@]:1}"; do
 	case $cmd in
 		repo-add) add "$arg" ;;
 		repo-remove) remove "$arg" ;;
-	esac && success=1
+	esac || fail=1
 done
 
 # if the whole operation was a success, re-zip and rotate databases
-- 
2.17.0


More information about the pacman-dev mailing list